**Full name**: projects.locations.metadataStores.artifacts.patch

Updates a stored Artifact.

### Endpoint

patch `https://{service-endpoint}/v1beta1/{artifact.name}`   
`PATCH https://{service-endpoint}/v1beta1/{artifact.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`artifact.name` `string` Output only. The resource name of the Artifact.

### Query parameters

`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. A FieldMask indicating which fields should be updated.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`allowMissing` `boolean` If set to true, and the `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.metadataStores.artifacts#Artifact` is not found, a new `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.metadataStores.artifacts#Artifact` is created.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.metadataStores.artifacts#Artifact`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.metadataStores.artifacts#Artifact`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.artifacts.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).